function [Ux, Uy, Mb, Mu, InsideMask, InteriorMask, BoundaryMask] = InitializeSolutionBFMyosin(PosX, PosY, Front, InitCondition, NumNodesX)

[InsideMask, InteriorMask, BoundaryMask] = IdentifyNodeTypes(PosX, PosY, Front, NumNodesX);

Ux = InitCondition.Ux(PosX,PosY).*InsideMask; 
Uy = InitCondition.Uy(PosX,PosY).*InsideMask;
Mb = InitCondition.Mb(PosX,PosY).*InsideMask;
Mu = InitCondition.Mu(PosX,PosY).*InsideMask;


